Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 729224 - net-analyzer/net-snmp-5.8.1_pre2 - monitoring of F2FS partitions broken
Summary: net-analyzer/net-snmp-5.8.1_pre2 - monitoring of F2FS partitions broken
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL: https://github.com/net-snmp/net-snmp/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-23 05:42 UTC by Greg
Modified: 2021-02-27 07:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
net-snmp f2fs patch (net-snmp-f2fs.patch,1.44 KB, patch)
2020-10-19 12:06 UTC, Greg
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg 2020-06-23 05:42:05 UTC
Upstream: https://github.com/net-snmp/net-snmp/issues/111

I have discovered it is not possible to monitor via SNMP any F2FS formatted partition. 

Example: /etc/snmpd/snmpd.conf
rocommunity abc123

disk /
disk /cache/


blkid:
sjc-fw1 ~ # blkid
/dev/nvme0n1p3: UUID="f33fecf5-6ceb-41e6-a179-3101b27ce4ab" UUID_SUB="232428bf-11e4-428c-901d-5153733c52d9" BLOCK_SIZE="4096" TYPE="btrfs" PARTLABEL="btrfs" PARTUUID="ff5175e8-b1f2-4092-b940-6c1ad1610da1"
/dev/sda1: UUID="1301be00-deb0-4210-950e-70f1812e084c" BLOCK_SIZE="4096" TYPE="f2fs" PARTLABEL="ext2" PARTUUID="7e77ace0-b5a4-48b4-9815-ef4495d8d897"
/dev/sdb1: PARTLABEL="ext2" PARTUUID="c7438ab4-1503-48e3-95a3-7e632f45a184"

snmpwalk: snmpwalk -v 2c -c abc123 <host> dsktable
UCD-SNMP-MIB::dskIndex.1 = INTEGER: 1
UCD-SNMP-MIB::dskPath.1 = STRING: /
UCD-SNMP-MIB::dskDevice.1 = STRING: /dev/nvme0n1p3
UCD-SNMP-MIB::dskMinimum.1 = INTEGER: 100000
UCD-SNMP-MIB::dskMinPercent.1 = INTEGER: -1
UCD-SNMP-MIB::dskTotal.1 = INTEGER: 472268800
UCD-SNMP-MIB::dskAvail.1 = INTEGER: 464625940
UCD-SNMP-MIB::dskUsed.1 = INTEGER: 6968028
UCD-SNMP-MIB::dskPercent.1 = INTEGER: 1
UCD-SNMP-MIB::dskPercentNode.1 = INTEGER: 0
UCD-SNMP-MIB::dskTotalLow.1 = Gauge32: 472268800
UCD-SNMP-MIB::dskTotalHigh.1 = Gauge32: 0
UCD-SNMP-MIB::dskAvailLow.1 = Gauge32: 464625940
UCD-SNMP-MIB::dskAvailHigh.1 = Gauge32: 0
UCD-SNMP-MIB::dskUsedLow.1 = Gauge32: 6968028
UCD-SNMP-MIB::dskUsedHigh.1 = Gauge32: 0
UCD-SNMP-MIB::dskErrorFlag.1 = INTEGER: noError(0)
UCD-SNMP-MIB::dskErrorMsg.1 = STRING:


emerge --info

Portage 2.3.101 (python 3.7.7-final-0, default/linux/amd64/17.1, gcc-10.1.0, glibc-2.31-r5, 5.7.4-gentoo-x86_64 x86_64)
=================================================================
System uname: Linux-5.7.4-gentoo-x86_64-x86_64-Intel-R-_Xeon-R-_E-2278G_CPU_@_3.40GHz-with-gentoo-2.7
KiB Mem:    65836228 total,  22143740 free
KiB Swap:   15625212 total,  15625212 free
Timestamp of repository gentoo: Sun, 21 Jun 2020 10:00:01 +0000
Head commit of repository gentoo: 50b44af0fe4902faf8e3cfa2ee12f7b5e46ab192
sh bash 5.0_p17
ld GNU ld (Gentoo 2.34 p4) 2.34.0
app-shells/bash:          5.0_p17::gentoo
dev-lang/perl:            5.30.3-r1::gentoo
dev-lang/python:          2.7.18::gentoo, 3.7.7-r2::gentoo, 3.8.3::gentoo, 3.9.0_beta3::gentoo
dev-util/cmake:           3.17.3::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.2::gentoo
sys-devel/binutils:       2.34-r1::gentoo
sys-devel/gcc:            10.1.0-r1::gentoo
sys-devel/gcc-config:     2.3::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r5::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: -4
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/cache/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n --quiet-build=y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="C.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_US"
MAKEOPTS="-j17 -l16"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="-4"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="3dnow 3dnowext a52 aac aacplus acl acpi alsa amd64 authfile berkdb big-tables bzip2 clamav cli client-libs cpudetection crypt ctype curl dba diskio dri ext4 faac faad fdk fpm ftp gd gdbm geoip gmp graph gsm iconv imap ipv6 iscsi jpeg jpeg2k json libmysqlclient libtirpc logrotate mmx mmxext mp3 multilib mysql mysqli ncurses nfs nls nptl nptlonly numa ogg opcache openmp openssl oss pam pcre pdo pear perl php png qt-faststart readline schroedinger seccomp server session simplexml snmp soap sockets speex split-usr sse sse2 ssl ssse3 suexec svg tcpd theora truetype ucd-compat unicode usb v4l2 vaapi vchroot vhosts virtual-users vorbis vpx vx x-pack x264 x265 xattr xml xmlrpc xmlwriter xvid zip zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="coreboot efi-32 efi-64 pc" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NGINX_MODULES_HTTP="access browser charset fastcgi gzip rewrite ssi userid headers_more stub_status mp4 spdy memcached proxy" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_7" QEMU_USER_TARGETS="x86_64" RUBY_TARGETS="ruby25 ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 1 Greg 2020-10-19 12:04:26 UTC
This is now resolved upstream: https://github.com/net-snmp/net-snmp/commit/5a18e300bd085c6ba5967d7b00cc3f57fe83f665
Comment 2 Greg 2020-10-19 12:06:47 UTC
Created attachment 666716 [details, diff]
net-snmp f2fs patch
Comment 3 Larry the Git Cow gentoo-dev 2021-02-27 07:46:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e0a18433f6c6031f05149fb52b06ccabe9b3511

commit 0e0a18433f6c6031f05149fb52b06ccabe9b3511
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-02-27 07:42:08 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-02-27 07:42:08 +0000

    net-analyzer/net-snmp: add f2fs patch
    
    Closes: https://bugs.gentoo.org/729224
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 .../net-snmp/files/net-snmp-5.9-r3-f2fs.patch      |  40 ++++
 net-analyzer/net-snmp/net-snmp-5.9-r3.ebuild       | 213 +++++++++++++++++++++
 net-analyzer/net-snmp/net-snmp-99999999.ebuild     |  27 ++-
 3 files changed, 266 insertions(+), 14 deletions(-)